Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

The graph of one note

GET
/api/v1/saga/graph/notes/{id}
curl --request GET \
--url https://api.yggy.tech/api/v1/saga/graph/notes/example \
--header 'Authorization: Bearer <token>'

The entities one note names, at most 60 nodes, and the statements between them.

id
required

Note id

string
/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i/

Note id

The note’s graph

Media type application/json
object
nodes
required
Array<object>
object
id
required
string
label
required
string
type
required
string
degree
integer
edges
required
Array<object>
object
id
required
string
source
required
string
target
required
string
predicate
required
string
omitted
integer
Example generated
{
"nodes": [
{
"id": "example",
"label": "example",
"type": "example",
"degree": 1
}
],
"edges": [
{
"id": "example",
"source": "example",
"target": "example",
"predicate": "example"
}
],
"omitted": 1
}

Not a yggy notes workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

No such node in this workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

Too many graph requests

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}